v4.0.1 22/10/2021
----------------------------------------------------------------------------
- Removed the majority of output to standard out or standard error from Daemon and CGI binaries, which for the CGI caused invalid HTTP response headers.
- Addition of new camera support and integration with licence repository.
- Removal of addRow button when an evidence camera is added and show it again when removed.
- Update of Customized Options "Name" field: Now it's not possible to add spaces or create names with only numbers.
- Addition of Show Cross Line checkbox in Live tab.
- Addition of MTT and MTTCL action types in new cameras, with the addition of lane name.
- Addition of CrossLine as a configurable option to all camera versions.
- Addition of post_install.sh script, reformation of startnginx script for some cameras.
- Addition of export/import buttons to Action list.
- Addition of log of actions completed (debug mode only).
- Addition of ROI coordinates in image's name if there is any ROI configured.
- Addition of date and time to image results and to Live page when option 'Save date/time overlay' is activated in General Configuration.
- Addition of Chinese character support in the description when importing elements from a list.
- Addition of security around process termination.
- Improved Motion CrossLine Detection with debounce time.
- New Motor v7.25.16.0.
- Allow rotation in vertical position. Added a new parameter in camera configuration.
- Changed service log and CGI log to level 2 (Warning) by default to avoid constant disk writes.
- Changed SQLite Journal Mode to WAL instead of DELETE to avoid constant disk writes.
- Open socket from Socket Server action at initialization instead of first LPR read.
- Improvement to Crossline functionality, adding configurable no_plates and logs.
- Removal of reboot after stream inicialisation failure on some cameras.
- Addition of PlateDescription and CardID information to actions that generate an XML/JSON.
- Change to database code to assure correct options are displayed in configuration pages.
- Bug fixing
	- Correction of lanes reset when using the "Reload default configuration" button.
	- Improvement of CGI log generation.
	- Correction of placement of the buttons in Crossline creation for certain cameras.
	- Correction of Crossline detection mode viewing in LPR Configuration page.
	- Correction of restart service in certain cameras due to sometimes getting stuck.
	- Correction of Customized Options updating values.
	- Correction on a CGI call for some specific cameras that was also affecting other cameras.
	- Correction of a problem with restarting the service.
	- Correction of STOPPED being displayed in certain cameras as a result of an infrequent deadlock problem that 
	  occurred when repeated purges took place.
	- Correction of a problem with certain import configurations.
	- Correction of the data grid in Review page for some cameras.
	- Correction of small frontend bug that prevented the live page showing on Internet Explorer.
	- Correcting of crossline frontend interface for some cameras.
	- Correction of using the correct HTTP port for some cameras.

v3.3.1 20/04/2021
----------------------------------------------------------------------------
- Added Levenshtein distance to every list to allow minor differences in plates recognition regarding actions execution
- Changed the way to configure the resolution for camera in configuration screen for Urban packets. The field resolution has 2 possible values (Do not allow motorbikes and allow motorbikes),
  and used in combination with a new parameter called 'Camera-focused lanes' which can take values 1 or 2, determines the internal camera resolution used.
  If 'Camera-focused lanes' takes value 2 and 'Resolution' takes value 'Allow motorbikes', the internal camera resolution used is 1920xHHHH, otherwise is 1280xHHH (HHH depends on aspect ratio of the cam).
- Changed the way to configure the minimum character height, from manual configuration to automatic configuration, for Urban packets. If the previously introduced field 'Camera-focused lanes' 
  takes value 1 and 'Resolution' takes the value 'Do not allow motorbikes' the minimum character height takes value 20, otherwise takes value 13.
- Added traffic direction to plate recognition results for Urban packets, which is sent in any action including plate information
- Added ability to filter results for direction in the Review page for Urban packets.
- Updated FTP imports and exports to allow FTPS type
- Change to vendor-specific configurations
- Added MACCHK function
- New Motor v7.25.0.0
- User Interface and translation refinements
- New database parameter to force motion detection to use the either [the ROI where motion was detected] or [the user-defined ROI or the whole image if there is no ROI]
- Adding new customer actions.
- Addition of header line in CSV results exports
- Addition of filter by min or max angle (similar to filter for minplatechars or minconf).
- Translation of some option elements on LPR Configuration page.
- Removal of logic to change queue size from old default value to the appropriate default for S&G / Urban.
- Addition of logic to retrieve and use a non-standard HTTP port for CGI calls to the internal camera webserver
- Addition of an extra condition for actions - to only execute if the result falls within a configurable range.
- Addition of new parameter 'Output Delay (ms)' for an IO Action in Vivotek interface.
- Addition of personalisation for the autoroi parameter and timeoutlpr parameter
- Modification of resetdb CGI to also delete lastresults_x.json files
- Modification of emergency and freespace purge scheduling
- Increase the range of minimum and maximum character heights (min: 13-40, max: 30-80)
- Improvement of CGI log generation.
- Bug fixing
	- Correction of overwrite of certain CGI-changed values
	- Correction of list importation, creation of non-defined lists
	- Correction of FTP Match export for intervals 3, 5, 10, 15 and 30 minutes
	- Correction of list importation to place imported plates in the correct local list
	- Correction of handling and resolving of hostnames in actions.
	- Correction of traffic direction filter pagination.
	- Correction of export file from review tab.
	- Correction of display of options for trigger type, setting the correct value in backend
	- Correction of lanes reset when using the "Reload default configuration" button.
	- Correction of description and import type in import results from Audit tab.
	- Correction of paging in Audit and Review tabs.
	- Correction of Log level options names in Spanish.
	- Correction of export/import buttons functionality.
	- Correction of start date validation when adding a new plate in lists.
	- Correction of minimum and maximum confidence for Action conditions.

v3.2 07/07/2020
----------------------------------------------------------------------------
- Bug fixing
	- Issues when using parameters to be replaced by its corresponding result value in http GET method URL
	- Increased the maximum number of plates in a list from 1000 to 10000
	- Issues when using in TRIGGER mode, more than 1 trigger capture
	- Issues with camera name XML/JSON
	- Correction of some translations
	- Resolved a problem with Milestone actions, adding information to "Tag" field
- JPEG encoding improvements.
- Moved the storage of application logs from SD to inner camera flash. Updated consequently, the minimum security purge space bound for inner camera flash to 48%, instead of 40%.
- New engine 7.24.0.0
- Storage of color images
- Updated FTP action to allow FTPS type
- Updated HTTP action to allow HTTPS urls
- Export/import using CSV files of the configuration of the system (excluded ROI and lanes because are local)
- Added filtering by minimum plate characters
- Added dynamic loading of the new countries supported by the VPAR engine
- List names added to all action results for XML and JSON formats
- Added new execution intervals in the import/export of lists, as well as in cams synchronization
- Correction of perspective for rotated images
- Modification to trigger functionality to wait for all captures in a trigger cycle before selecting the best result to display
- Adding ANPR Engine Version to initialisation logs
- Including new parameters and timeoutlpr values for Stop-And-Go Edge
- Added Russian language support
- Added Evidence camera name to XML & JSON actions and exports
- Added new ProtocolPSS action and interface support
- Improvement to trigger handling for S&G products

v3.1 22/05/2020
----------------------------------------------------------------------------
- Bug fixing
	- Database in-memory shrink could affect performance, as well as to be the cause of sudden crashes due to the lack of memory and database locks detected from the CGI. The shrink is now performed over a disk file.
	- Bad initialization of security purge by free space, that could cause inconsistencies between records in database and files in SD.
	- Random time shrink execution when purge interval set to HOUR and purge type to DAYS
	- NaN value in country selector field
	- Socket client action when using long server names
	- Invalid logs downloading under special conditions
	- IO action
	- First action execution is delayed till second one is received, for every defined action. Critical with actions as IO or wiegand.
	- Random time purge execution when purge type set to FREESPACE.
	- Deletion without prior disabling of exports and imports does not stop the execution of the exports and imports
	- Wiegand action invalid execution and wrong reader displaying when reader B is selected
	- Invalid trigger events reception when are used alternately short and long source identifiers
	- All plates list import when list ids has changed (XML, CSV)
- Database reset in General Configuration page.
- Customized field/value pairs addition in General Configuration page.
- It is allowed to specify facility_code.card_number associated with a plate in a list, for Wiegand 1D actions.
- Added german lenguage
- Added support for new countries: Lithuania, Latvia, Malta, Jamaica, Qatar, Oman, Botswana, Ghana, Cameroon, Tunisia

v3.0 19/03/2020
----------------------------------------------------------------------------
- Bug fixing
	- Invalid version retrieving under some conditions
	- Manual import in lists management
	- Onvif events removing before use by Onvif daemon
	- Abrupt stop after long runnings, as well as under some actions combination
	- Purge execution by appropriate order (older first)
	- Wiegand 1D allows also the range from 2^31 to 2^32-1. The valid range is from 0 to 2^32-1 = 4294967295 (maximum 32 bits).
	- Parameter 'Retry period for failed actions (hours)' not appearing when upgrading from previous versions (depending on the previous version)
	- Invalid purge period determination, which was the cause to have results without its associated images, as well as actions, imports and exports, without their associated files.
	- Show more than 10 plates in action plates list, by selecting the desired page number
	- Type of purge always set to DAYS
- New engine 7.18.4.0
- Purge configuration only by freespace (SD or cam) and by days. The default is by days (3).
- Removed the purge interval by minute, since the minimum portion to be purged, for data consistency purposes, is 1 hour.
- Changed the minimum percentage of free space range for SD and camera to 20:80 and 40:60 respectively, its defaults to 20 and 40 respectively, as well as changed the minimum percentage of security purge by freespace to 20 and 40 respectively.
- Security purge 10 minutes after restart of the service to avoid rare scenarios where purge could not be launched normally (i.e. purge interval set to week, and VPAR service always manually stopped sunday late night).
- When purge interval is configured by HOUR and purge type by DAYS, the shrink of the database is only performed every day at 00:00:00.

v2.9 26/02/2020
----------------------------------------------------------------------------
- Bug fixing
	- Invalid resolution options when upgrading from previous versions in LPR configuration screen
	- Changed filename structure in FTP lists export from using list ID to using list name, to allow using the same import file for different cameras, who possibly could have different list IDs for the same list name
	- Export/import of FTP lists in CSV format
	- Removed link to result file when action/import/export fails
	- Resut and action deallocation when action queue addition fails
	- Action result item deallocation during failed actions retry
	- FTP library deallocation in FTP related actions, imports and exports

v2.8 28/01/2020
----------------------------------------------------------------------------
- Bug fixing
	- Duplicated and missing actions execution
	- Invalid plates displaying in Live screen
	- HTTP without authentication
	- HTTP POST_IMG with JSON
	- Invalid JSON when plate belonging to multiple lists
	- Invalid updates of import and export items under lists
	- Missing } at the end of the transmitted content in HTTP action
	- Onvif rework to correctly register onvif events and retrieve the results of the event sending (shared memory writting)
	- Manual export (CSV or XML) for a given list
	- Action wiegand
- Added shrink/vacuum of the database file after purge in order to keep the size of this file low
- Fast CGI
- Restart with check double execution
- Wiegand 1D action
- FTP action with subfolders creation on target server by cam name, year, month and day
- IO rework
- Separate thread execution for every defined action
- Configurable failed actions retry execution in a separate thread every 60 seconds. Can be configured the period (in hours) in the past where to look for failed actions (0 means no retry).
- Added explicit basic and digest authentication on HTTP actions
- Added JSON format to HTTP action
- Added email action

v2.7 01/11/2019
----------------------------------------------------------------------------
- Bug fixing
	-HTTP url simbols
	-Action management
	-Default option values
- Internal restart service
- Improvement at review/historic petitions

v2.6 18/09/2019
----------------------------------------------------------------------------
- Process Affinity
- Jpeg turbo
- Motion HISILICON
- Working with VparMT(option)

v2.5 05/08/2019
----------------------------------------------------------------------------
- Check the number of files in purge 
- Refresh time to 3 seconds in one function
- Actions check enabled
- HTTP text replace fixed
- Text traductions fixed

v2.4 17/07/2019
----------------------------------------------------------------------------
- Set camera name of Host name
- New action Trigger server
- Send NO_PLATE on trigger
- Socket server for trigger close connection
- Memory adjusts fixed

v2.3 04/07/2019
----------------------------------------------------------------------------
-Bug changing countries at initial selector

v2.2 27/06/2019
----------------------------------------------------------------------------
- POST_IMG with format XML image
- Include name list in the message XML

v2.1 19/06/2019
----------------------------------------------------------------------------
- Improve socket server reserve
- Bug export audit
- Cache in milis 
- IO disabled fixed
- Import list bug fixed
- Multilanguage (english/spanish)
- Barbados
- Engine 7.15.6.0 (new California format)

v2.0 31/05/2019
----------------------------------------------------------------------------
- Bug on FTP continuous
- Improve on purge
- Engine 7.15.5.0 (Germany with spaces)
- VAST2 disabled
- Allow update package

v1.18 02/05/2019
----------------------------------------------------------------------------
- Testing mode

v1.17 30/04/2019
----------------------------------------------------------------------------
- Engine 7.15.2.0
- Change character \ for / in the path automatically

v1.16 26/04/2019
----------------------------------------------------------------------------
- Explorer shows live and audit
- Mutex on idnumber

v1.15 26/04/2019
----------------------------------------------------------------------------
- ROI and LANE percent for different resolutions
- FTP check if works
- Add event type to Milestone action
- Automatic export list local
- New sincro image
- Croatia included
- Engine 7.15.1.1
- Name changed VAST2
- Store new values in result
- Send values XML fon other analitics
- Import fail with CSV format

v1.14 09/04/2019
----------------------------------------------------------------------------
- Bug on upload license files
- Make sure thread are working

v1.13 08/04/2019
----------------------------------------------------------------------------
- Internet Explorer fails
- List imports checks
- Motion queue with param 10 elements by default

v1.12 05/04/2019
----------------------------------------------------------------------------
- Http without response, control
- Lanes in explorer
- Dates from the camera, not from the client (by default in lists)

v1.11 02/04/2019
----------------------------------------------------------------------------
- Wiegand
- VAST
- Socket client bug fixed
- Search component
- Graphical help fixes
- Bug fix on list insert

v1.10 26/03/2019
----------------------------------------------------------------------------
- If image file store not try to show
- Problem with dates over 2038
- Error with oceania countries
- Engine 7.13.2.1
- Bug with selection countries after default parameters

v1.09 22/03/2019
----------------------------------------------------------------------------
- Cache fail internet explorer (service reboot)
- Package in camera, images stored in camera not SD

v1.08 21/03/2019
----------------------------------------------------------------------------
- Bug fixed on imports
- Control of erroneous characters in names \n  \r "
- Export list in explorer

v1.07 20/03/2019
----------------------------------------------------------------------------
- Dinamical FPS
- VAST fixed
- Database in SD inside the package

v1.06 18/03/2019
----------------------------------------------------------------------------
- Reducing memory (1MPIXEL 200MB)
- Database in the folder packaged installed
- Reducing files
- Some texts changed
- New enabled camp on config
- Action not in list fixed

v1.05 08/03/2019
----------------------------------------------------------------------------
- Macs for test 
- Purge by free space
- Default values
- Red for error in live
- First show countries with button
- Import in firefox
- ROI fixed
- Engine 7.13.2.0

v1.04 04/03/2019
----------------------------------------------------------------------------
- List imports from Firefox
- Exports and imports working ok
- Button in live for calibration
- New engine lib 7.13.2.0 (with kuwait)
- Change name region 1
- Included license test

----------------------------------------------------------------------------
       Copyright (C) 2020 Neural Labs S.L.      All Rights Reserved.
